DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: fix meson build test to exit on failure
@ 2019-03-12 10:09 Bruce Richardson
  2019-03-12 10:18 ` [dpdk-dev] [PATCH v2] " Bruce Richardson
  0 siblings, 1 reply; 3+ messages in thread
From: Bruce Richardson @ 2019-03-12 10:09 UTC (permalink / raw)
  To: dev; +Cc: Bruce Richardson

When piping the ninja command through cat, we lose the error value from
the call to ninja in the case of failure. This prevents the script from
exiting at the first broken build  Fix this by setting the "pipefile"
shell option.

Fixes: 4bcb9b768604 ("devtools: add verbose option to meson build test")

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
 devtools/test-meson-builds.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index f82a0fd6c..9f5620583 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,6 +7,8 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
+set -o pipefail
+
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
 use_shared="--default-library=shared"
-- 
2.20.1

^ permalink raw reply	[flat|nested] 3+ messages in thread

* [dpdk-dev] [PATCH v2] devtools: fix meson build test to exit on failure
  2019-03-12 10:09 [dpdk-dev] [PATCH] devtools: fix meson build test to exit on failure Bruce Richardson
@ 2019-03-12 10:18 ` Bruce Richardson
  2019-03-13 10:03   ` Thomas Monjalon
  0 siblings, 1 reply; 3+ messages in thread
From: Bruce Richardson @ 2019-03-12 10:18 UTC (permalink / raw)
  To: dev; +Cc: Bruce Richardson

When piping the ninja command through cat, we lose the error value from
the call to ninja in the case of failure. This prevents the script from
exiting at the first broken build. Fix this by setting the "pipefail"
shell option.

Fixes: 4bcb9b768604 ("devtools: add verbose option to meson build test")

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
V2: fix typo in commit message

 devtools/test-meson-builds.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index f82a0fd6c..9f5620583 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -7,6 +7,8 @@
 # * if a build-directory already exists we assume it was properly configured
 # Run ninja after configuration is done.
 
+set -o pipefail
+
 srcdir=$(dirname $(readlink -f $0))/..
 MESON=${MESON:-meson}
 use_shared="--default-library=shared"
-- 
2.20.1

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [dpdk-dev] [PATCH v2] devtools: fix meson build test to exit on failure
  2019-03-12 10:18 ` [dpdk-dev] [PATCH v2] " Bruce Richardson
@ 2019-03-13 10:03   ` Thomas Monjalon
  0 siblings, 0 replies; 3+ messages in thread
From: Thomas Monjalon @ 2019-03-13 10:03 UTC (permalink / raw)
  To: Bruce Richardson; +Cc: dev

12/03/2019 11:18, Bruce Richardson:
> When piping the ninja command through cat, we lose the error value from
> the call to ninja in the case of failure. This prevents the script from
> exiting at the first broken build. Fix this by setting the "pipefail"
> shell option.
> 
> Fixes: 4bcb9b768604 ("devtools: add verbose option to meson build test")
> 
> Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>

Applied, thanks

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2019-03-13 10:03 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-03-12 10:09 [dpdk-dev] [PATCH] devtools: fix meson build test to exit on failure Bruce Richardson
2019-03-12 10:18 ` [dpdk-dev] [PATCH v2] " Bruce Richardson
2019-03-13 10:03   ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).